#include "debughelpers.h"

#include <iostream>

void print_vec3(const Vec3 &v)
{
    std::cout << "(" << v.x() << ", " << v.y() << ", " << v.z() << ")" << std::endl;
}

void print_vec3(const Vec4 &v)
{
    print_vec3(into_vec3(v));
}

Vec3 into_vec3(const Vec4 &v)
{
    return Vec3(v.x(), v.y(), v.z());
}

Vec4 into_vec4(const Vec3 &v)
{
    return Vec4(v.x(), v.y(), v.z(), 1.0f);
}